/*
 * Adc_onchip.h
 *
 *  Created on: Mar 12, 2018
 *      Author: tm
 */

#ifndef MPHOX_ADC_ONCHIP_H_
#define MPHOX_ADC_ONCHIP_H_

void adc_onchip_init(void);
uint32_t * read_all_adc(void);
uint16_t read_adc(uint32_t chan);
uint16_t read_adc_temperature(void);


#endif /* ADC_ONCHIP_H_ */
